> ## Documentation Index
> Fetch the complete documentation index at: https://new-docs.simplecloud.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a blueprint

> Update an existing blueprint



## OpenAPI

````yaml https://controller.simplecloud.app/swagger/doc.json put /v0/blueprints
openapi: 3.1.0
info:
  contact:
    email: support@swagger.io
    name: API Support
    url: http://www.swagger.io/support
  description: API for SimpleCloud Controller
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://swagger.io/terms/
  title: SimpleCloud Controller API
  version: '1.0'
servers:
  - url: https://controller.platform.simplecloud.app/
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /v0/blueprints:
    put:
      tags:
        - blueprints
      summary: Update a blueprint
      description: Update an existing blueprint
      parameters:
        - description: Network ID
          in: header
          name: X-Network-ID
          required: true
          schema:
            type: string
        - description: Network Secret
          in: header
          name: X-Network-Secret
          required: true
          schema:
            type: string
        - description: Blueprint ID
          in: query
          name: blueprint_id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/models.UpdateBlueprintRequest'
        description: Blueprint details
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.UpdateBlueprintResponse'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Not Found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Internal Server Error
components:
  schemas:
    models.UpdateBlueprintRequest:
      description: Request to update an existing blueprint
      properties:
        configurator:
          example: example-configurator
          type: string
        minecraft_version:
          example: 1.20.1
          type: string
        name:
          example: example-blueprint
          type: string
        runtime_config:
          $ref: '#/components/schemas/models.RuntimeConfig'
        server_software:
          example: paper
          type: string
        server_url:
          example: https://example.com/server
          type: string
        software_version:
          example: 1.20.1
          type: string
        workflow_steps:
          items:
            type: string
          type: array
          uniqueItems: false
      type: object
    models.UpdateBlueprintResponse:
      description: Response for updating a blueprint
      properties:
        blueprint_id:
          example: 123e4567-e89b-12d3-a456-426614174000
          type: string
        configurator:
          example: example-configurator
          type: string
        created_at:
          example: '2023-01-01T12:00:00Z'
          type: string
        minecraft_version:
          example: 1.20.1
          type: string
        name:
          example: example-blueprint
          type: string
        runtime_config:
          $ref: '#/components/schemas/models.RuntimeConfig'
        server_software:
          example: paper
          type: string
        server_url:
          example: https://example.com/server
          type: string
        software_version:
          example: 1.20.1
          type: string
        updated_at:
          example: '2023-01-01T12:00:00Z'
          type: string
        workflow_steps:
          items:
            type: string
          type: array
          uniqueItems: false
      type: object
    models.ErrorResponse:
      description: Generic error response
      properties:
        error:
          type: string
      type: object
    models.RuntimeConfig:
      description: Configuration for the runtime environment
      properties:
        type:
          example: java
          type: string
        with:
          additionalProperties: {}
          type: object
      type: object

````